GNU bug report logs - #40165
Subject: [PATCH] gnu: Add python-flask-markdown.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: pinoaffe@HIDDEN; Keywords: patch; merged with #40270; dated Sat, 21 Mar 2020 16:36:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 40165 40270. Request was from Marius Bakke <mbakke@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40165 <at> debbugs.gnu.org:


Received: (at 40165) by debbugs.gnu.org; 29 Mar 2020 20:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 16:07:16 2020
Received: from localhost ([127.0.0.1]:59926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIeDE-0000TH-32
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:07:16 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:50713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jIeDA-0000Sx-U2
 for 40165 <at> debbugs.gnu.org; Sun, 29 Mar 2020 16:07:14 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 480E560B;
 Sun, 29 Mar 2020 16:07:07 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sun, 29 Mar 2020 16:07:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=mcqUfmg1UGn3xMgiZAHzMLB18Z
 zRlT3ph+1IzkL8K84=; b=Qo38ULh3HzNHaxh/VdQIQwKrZw/pGnKXM7e5gYZA6B
 NHGBIh+tmWf8SCoT/35EN5H8AF0we6+oHrrCNoxgh4Bzwz10ZvWAntNM7s9GBT+c
 WYWPPF9EwEvOVRUIs9lxuiWmNFAlAnkDMPuZkuwsIh4UlQ6tQVchUkl5hFE8Wg0x
 OJR/igwk8EoLI4Ovi30kvI4lQcY5Gsny2bQmae6pnnRMEV1RXPKevicuDwIGT3SR
 +DzcvfihYDYwUvTXqMtOdwXtJTG22d2QcEXR9JOoyqB34ykIQcRIQrIb76+MdQu6
 BqOhouMEm+gJmgyKt3j7DZg6V+IxbIgFRcggIF8cuneA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=mcqUfm
 g1UGn3xMgiZAHzMLB18ZzRlT3ph+1IzkL8K84=; b=ZnAJtueN87hUFZcyg1FZFg
 0WyiIffBWzs8ZHwUs3gwitHry4+LlkQm0t7PrRgiRvK+9UlX6fcvu3izLHEmN/Fv
 w1A2YvmitMmJs7x267xlf534b2020B/wrje37CjjTohm+cuQkbutXhCR7c9wrfAi
 JrHAXI1rkCINFnvDuKwqYzVudkFlsfVjq6h3efOdK361kFZxGz+2B0NBqfow8tZN
 Hj3WBybOJ5BB2aWYwXSLu83Ha9QEkepq66cb/n43ARTgnXoT7ccfAJqh6kE5B+1I
 xYn5unswtfvuV/G9EtkUvkD3YIxPYWp+kZVozoHPCu8By1OWMBTT3RDSQTfCJCLQ
 ==
X-ME-Sender: <xms:6v-AXjWWk0TSbDIc41bzZF-7pep3i3BN5ehZlulXhCcc27HMPwgPog>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudeifedgudegkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecufghrlhcuvffnffculddutddmnecujfgurhephf
 fvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhushcuuegrkhhk
 vgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrghinhepghhith
 hhuhgsrdgtohhmnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvghrufhi
 iigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrih
 hlrdgtohhm
X-ME-Proxy: <xmx:6v-AXgQMh4Ofh3WBH3k3hH6njiFEpziNix2OrmIaAwmeQU-YW9iUsw>
 <xmx:6v-AXsPR66yFaEfjolMl13PaDOcxZu1_2BayWRWn05m7M1hX2DCw2Q>
 <xmx:6v-AXrP1GzbQ-66vxyv7QiI4DxpFUb2K5nh1C9fuqZ4g0EOIfILzfw>
 <xmx:6v-AXoDrCm3qnL4LKKcA1s7hG9FD0rH0cdSMUZnfunaq6us1xhiUUw>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id D5976328005D;
 Sun, 29 Mar 2020 16:07:05 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: pinoaffe@HIDDEN, 40165 <at> debbugs.gnu.org
Subject: Re: [bug#40165] Subject: [PATCH] gnu: Add python-flask-markdown.
In-Reply-To: <978aeda27a795fd06ef7fb77049adbe8@HIDDEN>
References: <978aeda27a795fd06ef7fb77049adbe8@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 29 Mar 2020 22:07:04 +0200
Message-ID: <87lfnjvsbb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40165
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

pinoaffe@HIDDEN writes:

> * gnu/packages/python-web.scm (python-flask-markdown): New variable.

Thanks!

[...]

> +(define-public python-flask-markdown
> +  (package
> +    (name "python-flask-markdown")
> +    (version "0.3")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (pypi-uri "Flask-Markdown" version))
> +        (sha256
> +          (base32
> +            "0l32ikv4f7va926jlq4f7gx0xid247bhlxl6bd9av5dk8ljz1hyq"))))
> +    (build-system python-build-system)
> +    (arguments
> +       `(#:tests? #f))

Can you add a comment about why tests are disabled?

> +    (propagated-inputs
> +      `(("python-markdown" ,python-markdown)
> +        ("python-flask" ,python-flask)))
> +    (native-inputs
> +      `(("python-nose" ,python-nose)))
> +    (home-page
> +      "http://github.com/dcolish/flask-markdown")
> +    (synopsis
> +      "Small extension to make using markdown in flask easy")
> +    (description
> +      "Small extension to make using markdown in flask easy")

Can you expand on the description a bit?  Being identical to the
synopsis is not very helpful for interested readers.

Please also adjust the indentation of the whole package.  If you are not
using Emacs you can use the ./etc/indent-code.el script.

Can you send an updated patch?  Thanks in advance!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6A/+gACgkQoqBt8qM6
VPryIgf+NllybFZTz5+OLq6BWBprjmsugd00oszkm/M9Ut2xAbZEpLEEt6d7gA5V
MMozv4Tlvglt0NgGA5WgyR4wcnosGp/OsYv1O+DMKMacZ/KKsvrPsmccj3AUONAj
pJazQZBMM/9jd/4KUYhgdSNzbTs8qcmDEWGJPUppS2n0sF5ocpl8IivvDyLt8Hn1
8LqXA9KXWlTpigX4h45l4up1N6EgyiLfeLGdq3GY5eQ1FFHcYIY4s3wosjl7raPZ
UJqcsZWxJlsZltWqxBufpudlOpq+IF42TTviasDitbIptKb7gxGZXX9MJiTG8TPT
nmypcBesBUNVH+uuxx1ASw5+L3bdTQ==
=3Gnp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40165; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2020 16:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 12:35:23 2020
Received: from localhost ([127.0.0.1]:47864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFh5k-0006jN-OE
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 12:35:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:52832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pinoaffe@HIDDEN>) id 1jFZ9G-0004LM-F5
 for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 04:06:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42295)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pinoaffe@HIDDEN>) id 1jFZ9E-0002Zk-MY
 for guix-patches@HIDDEN; Sat, 21 Mar 2020 04:06:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pinoaffe@HIDDEN>) id 1jFZ9B-000878-NW
 for guix-patches@HIDDEN; Sat, 21 Mar 2020 04:06:24 -0400
Received: from mail.cock.li ([37.120.193.124]:44720)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pinoaffe@HIDDEN>) id 1jFZ98-00084R-8k
 for guix-patches@HIDDEN; Sat, 21 Mar 2020 04:06:21 -0400
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=airmail.cc; s=mail;
 t=1584777972; bh=v2p5pBn9a+fh/EQwJxQW7G3qplwRRR8einfWLyWsi0M=;
 h=Date:From:To:Subject:From;
 b=F5kwrxKz5kpPMeGH5/YMLs3/iE0mSzSfwGlAXHZxgSxvnSlNF3fU4/8JyPROU+WGL
 PwfuuOOcbxi6i04gDcX6x5Dxe9cFzyJ31ASaT95GmZC0XFYoGbW4p5BGVLlrh5Dsgp
 kc2eOC7butyuV/Ru9cDNhVxUZ83EB2d0pVMn4MtAPbZGz8J2v8nysuCxDi/Kj0cmOz
 iuJeK0cb+uJsS/NsIP1ps0P0/TRVOfLafxlSSbsUUj0DQmMmLsCKK2/O0+RTRpN7YK
 sSw0BfhGZ/m5H4g8FAfbWqWfVYwOcQ2HHx3xGy+1o22QdZMir2vMhpBxBg2m5WDT1S
 qJ/g9Va/Om/Aw==
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sat, 21 Mar 2020 08:06:12 +0000
From: pinoaffe@HIDDEN
To: guix-patches@HIDDEN
Subject: Subject: [PATCH] gnu: Add python-flask-markdown.
Message-ID: <978aeda27a795fd06ef7fb77049adbe8@HIDDEN>
X-Sender: pinoaffe@HIDDEN
User-Agent: Roundcube Webmail/1.3.10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 37.120.193.124
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 21 Mar 2020 12:35:18 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


* gnu/packages/python-web.scm (python-flask-markdown): New variable.
---
  gnu/packages/python-web.scm | 30 ++++++++++++++++++++++++++++++
  1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b02ffd5f58..db66f1ed4d 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -470,6 +470,36 @@ both of which are installed automatically if you 
install this library.")
  (define-public python2-flask-babel
    (package-with-python2 python-flask-babel))

+(define-public python-flask-markdown
+  (package
+    (name "python-flask-markdown")
+    (version "0.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "Flask-Markdown" version))
+        (sha256
+          (base32
+            "0l32ikv4f7va926jlq4f7gx0xid247bhlxl6bd9av5dk8ljz1hyq"))))
+    (build-system python-build-system)
+    (arguments
+       `(#:tests? #f))
+    (propagated-inputs
+      `(("python-markdown" ,python-markdown)
+        ("python-flask" ,python-flask)))
+    (native-inputs
+      `(("python-nose" ,python-nose)))
+    (home-page
+      "http://github.com/dcolish/flask-markdown")
+    (synopsis
+      "Small extension to make using markdown in flask easy")
+    (description
+      "Small extension to make using markdown in flask easy")
+    (license license:bsd-3)))
+
+(define-public python2-flask-markdown
+  (package-with-python2 python-flask-markdown))
+
  (define-public python-html5lib
    (package
      (name "python-html5lib")
-- 
2.25.1





Acknowledgement sent to pinoaffe@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40165; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Mar 2020 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.